Package org.springframework.scripting.support

# Class StaticScriptSource

java.lang.Object
org.springframework.scripting.support.StaticScriptSource

All Implemented Interfaces:
  `ScriptSource`

public class StaticScriptSource extends Object implements ScriptSource
Static implementation of the `ScriptSource` interface, encapsulating a given String that contains the script source text. Supports programmatic updates of the script String.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`StaticScriptSource(String script)`
Create a new StaticScriptSource for the given script.
`StaticScriptSource(String script, String className)`
Create a new StaticScriptSource for the given script.

## Method Summary

Modifier and Type
Method
Description
`String`
`getScriptAsString()`
Retrieve the current script source text as String.
`boolean`
`isModified()`
Indicate whether the underlying script data has been modified since the last time `ScriptSource.getScriptAsString()` was called.
`void`
`setScript(String script)`
Set a fresh script String, overriding the previous script.
`String`
`suggestedClassName()`
Determine a class name for the underlying script.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StaticScriptSource

public StaticScriptSource(String script)
Create a new StaticScriptSource for the given script.

Parameters:
  `script` - the script String

### StaticScriptSource

public StaticScriptSource(String script, @Nullable String className)
Create a new StaticScriptSource for the given script.

Parameters:
  `script` - the script String
  `className` - the suggested class name for the script (may be `null`)

## Method Details

### setScript

public void setScript(String script)
Set a fresh script String, overriding the previous script.

Parameters:
  `script` - the script String

### getScriptAsString

public String getScriptAsString()
Description copied from interface: `ScriptSource`
Retrieve the current script source text as String.

Specified by:
  `getScriptAsString` in interface `ScriptSource`
Returns:
  the script text

### isModified

public boolean isModified()
Description copied from interface: `ScriptSource`
Indicate whether the underlying script data has been modified since the last time `ScriptSource.getScriptAsString()` was called. Returns `true` if the script has not been read yet.

Specified by:
  `isModified` in interface `ScriptSource`
Returns:
  whether the script data has been modified

### suggestedClassName

@Nullable public String suggestedClassName()
Description copied from interface: `ScriptSource`
Determine a class name for the underlying script.

Specified by:
  `suggestedClassName` in interface `ScriptSource`
Returns:
  the suggested class name, or `null` if none available

### toString

public String toString()

Overrides:
  `toString` in class `Object`